package dev.fyloz.plannervio.core.service

import dev.fyloz.plannervio.core.repository.IBoardRepository
import dev.fyloz.plannervio.core.model.Board

/**
 * A service for boards.
 */
interface IBoardService {
    val repository: IBoardRepository

    /**
     * Get all boards.
     *
     * @return An immutable list containing all boards
     */
    fun getBoards(): List<Board>

}
